if {[catch {package require Tcl 8.0}]} return
global tcl_platform env
if {[string range $tcl_platform(os) 0 6] == "Windows"} {
    package ifneeded ca 1.0 "set tmpPath \"\$env(PATH)\" ; set env(PATH) \"$dir;\$env(PATH)\" ; [list load [file join $dir tclCa.dll]] ; set env(PATH) \"\$tmpPath\""
} elseif {$tcl_platform(os) == "Linux"} {
    if {[file exists [file join $dir Linux/libtclCa.so]]} {
        package ifneeded ca 1.0 "[list load [file join $dir Linux/libtclCa.so]]; dp_atexit append \"catch {pv exit}\""
    } else {
        package ifneeded ca 1.0 "[list load [file join $dir libtclCa.so]]; dp_atexit append \"catch {pv exit}\""
    }
} elseif {$tcl_platform(os) == "Darwin"} {
    if {[file exists [file join $dir Darwin/libtclCa.dylib]]} {
        package ifneeded ca 1.0 "[list load [file join $dir Darwin/libtclCa.dylib]]"
    } else {
        package ifneeded ca 1.0 "[list load [file join $dir libtclCa.dylib]]"
    }
} else {
    package ifneeded ca 1.0 "[list load [file join $dir libtclCa.so]]"
}
