/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/

/*
 * $Log: not supported by cvs2svn $
 * Revision 1.3  2003/08/08 20:43:11  soliday
 * Updated code so that this is a dynamically loadable extension.
 *
 * Revision 1.2  2002/08/14 20:44:39  soliday
 * Added Open License
 *
 * Revision 1.1  1999/06/10 19:37:29  soliday
 * Moved to oag tree.
 *
 * Revision 1.3  1999/06/08 20:47:12  soliday
 * Removed compiler warnings under Linux.
 *
 * Revision 1.2  1999/04/21 19:49:17  soliday
 * Added tclEditString
 *
 * Revision 1.1  1996/12/16 20:49:58  saunders
 * New extension for implementing os specific functions. Initially,
 * lockf is being implemented.
 *
 */

#include <stdio.h>
#include <string.h>
#include <tcl.h>

/***********************/
/* Function Prototypes */
/***********************/
int tclOSInit(Tcl_Interp *interp);
int tclOSLockf(Tcl_Interp *interp, int argc, char *argv[]);
int tclEditString(Tcl_Interp *interp, int argc, char *argv[]);
int tclOSSetfacl(Tcl_Interp *interp, int argc, char *argv[]);
int tclOSGetfacl(Tcl_Interp *interp, int argc, char *argv[]);
